import { type RuntimeModelField } from '@oinone/kunlun-engine';
import { type BaseFieldProps, BaseFieldWidget } from '../token';
import { DetailBizStyle, FormBizStyle } from '../../typing';
/**
 * 单字段通用组件
 */
export declare class FormFieldWidget<Value = unknown, Field extends RuntimeModelField = RuntimeModelField, Props extends BaseFieldProps<Field> = BaseFieldProps<Field>> extends BaseFieldWidget<Value, Field, Props> {
    protected compute(): Value | null | undefined;
    protected getCompute(contextData: any): string | undefined;
    /**
     * 表单、详情组件的风格
     *
     * @see {@link BaseElementObjectViewWidget}
     */
    protected elementBizStyle: DetailBizStyle | FormBizStyle | undefined;
    protected get allowClear(): boolean;
    protected get placeholder(): string | string[] | undefined;
    protected get emptyStyle(): any;
    protected updateValue(val: Value | null | undefined): void;
    protected updateRelatedValue(relatedFields: string[], val: Value | null | undefined): void;
}
